# Creating a new Custom Field Set

To create a custom field, the current user must be the Account Administrator.

This endpoint returns structured Custom Field Set objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the custom_field_sets top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /custom_field_sets
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- custom_fields (CustomField) - The custom fields that belonging to the custom field set.
- external_references (ExternalReference) - Includes references to external integrations for this object.

## Request fields (application/json):

  - `custom_field_set` (object)

  - `custom_field_set.name` (string, required)
    The name of the custom field set.

  - `custom_field_set.subject_type` (string, required)
    The type of objects contained by the custom field set. The supported subjects
are currently Workspace, Story, User, and WorkspaceGroup.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `custom_field_sets` (object)

  - `external_references` (object)

  - `custom_fields` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


